## GocText GocText — Text. |

## Properties

GOAnchorType | anchor | Read / Write
PangoAttrList * | attributes | Read / Write
gboolean | clip | Read / Write
gdouble | clip-height | Read / Write
gdouble | clip-width | Read / Write
gdouble | rotation | Read / Write
gchar * | text | Read / Write
gdouble | wrap-width | Read / Write
gdouble | x | Read / Write
gdouble | y | Read / Write

## Types and Values

| GocText
typedef | GocTextClass

## Object Hierarchy

        GObject
        ╰── GocItem
            ╰── GocStyledItem
                ╰── GocText

## Implemented Interfaces

GocText implements GOStyledObject.

## Description

GocText implements rich text drawing in the canvas.

## Functions

## Types and Values

### GocText

    typedef struct _GocText GocText;

### GocTextClass

    typedef GocStyledItemClass GocTextClass;

## Property Details

### The `“anchor”` property

      “anchor”                   GOAnchorType

The anchor point for the text.

Flags: Read / Write

Default value: GO_ANCHOR_CENTER

### The `“attributes”` property

      “attributes”               PangoAttrList *

The attributes list as a PangoAttrList.

Flags: Read / Write

### The `“clip”` property

      “clip”                     gboolean

Whether to clip or not.

Flags: Read / Write

Default value: FALSE

### The `“clip-height”` property

      “clip-height”              gdouble

Clip height for the text.

Flags: Read / Write

Allowed values: >= 0

Default value: 0

### The `“clip-width”` property

      “clip-width”               gdouble

Clip width for the text.

Flags: Read / Write

Allowed values: >= 0

Default value: 0

### The `“rotation”` property

      “rotation”                 gdouble

The rotation around the anchor.

Flags: Read / Write

Allowed values: [0,6.28319]

Default value: 0

### The `“text”` property

      “text”                     gchar *

The text to display.

Flags: Read / Write

Default value: NULL

### The `“wrap-width”` property

      “wrap-width”               gdouble

Wrap width for the text.

Flags: Read / Write

Allowed values: >= 0

Default value: 0

### The `“x”` property

      “x”                        gdouble

The text horizontal position.

Flags: Read / Write

Default value: 0

### The `“y”` property

      “y”                        gdouble

The text position.

Flags: Read / Write

Default value: 0